#include <MDataStd_PointRetrievalDriver.ixx>
#include <PDataStd_Point.hxx>
#include <TDataStd_Point.hxx>
#include <CDM_MessageDriver.hxx>

MDataStd_PointRetrievalDriver::MDataStd_PointRetrievalDriver(const Handle(CDM_MessageDriver)& theMsgDriver):MDF_ARDriver(theMsgDriver)
{
}

Standard_Integer MDataStd_PointRetrievalDriver::VersionNumber() const
{ return 0; }

Handle(Standard_Type) MDataStd_PointRetrievalDriver::SourceType() const
{ return STANDARD_TYPE(PDataStd_Point); }

Handle(TDF_Attribute) MDataStd_PointRetrievalDriver::NewEmpty() const
{ return new TDataStd_Point (); }

//void MDataStd_PointRetrievalDriver::Paste(const Handle(PDF_Attribute)& Source,const Handle(TDF_Attribute)& Target,const Handle(MDF_RRelocationTable)& RelocTable) const
void MDataStd_PointRetrievalDriver::Paste(const Handle(PDF_Attribute)& ,const Handle(TDF_Attribute)& ,const Handle(MDF_RRelocationTable)& ) const
{
}

